Subject: bug#70034: Hostkey error when pulling or building from private git repository

From: Atte Torri <[email-masked]>
Date: Wed, 27 Mar 2024 17:09:34 +0100 (CET)

Hello, 

I get an error message when trying to `guix pull` a channel from a private git repository or when trying to `guix build` a package from a private git repository 
Previously it worked great up until a few days ago. I have tested it on multiple machines and get the same error, as well as for private repositories hosted on gitlab and github. 

This is the error message I get when I pull (for build it is essentially the same) 

atte@beryllium:~$ guix pull 
Updating channel 'guix-test' from Git repository at [email-masked]:Blixodus/guix-test.git'... 
guix pull: error: Git error: failed to set hostkey preference: The requested method(s) are not currently supported 

And this is how I define channels in .config/guix/channels.scm, with a url to a private git repository by ssh 

(list (channel 
(name 'guix-test) 
(url "[email-masked]:Blixodus/guix-test.git") 
(branch "main"))) 

Atte Torri